org.apache.commons.workflow.web
Class PopulateStep

java.lang.Object
  extended byorg.apache.commons.workflow.base.BaseStep
      extended byorg.apache.commons.workflow.base.DescriptorStep
          extended byorg.apache.commons.workflow.web.PopulateStep
All Implemented Interfaces:
org.apache.commons.workflow.Descriptors, org.apache.commons.workflow.Step

public class PopulateStep
extends DescriptorStep

For each associated Descriptor, populate the properties of the bean specified by that descriptor from the request parameters of the current request.

Version:
$Revision: 1.3 $ $Date: 2004/02/28 03:35:55 $

Field Summary
 
Fields inherited from class org.apache.commons.workflow.base.DescriptorStep
descriptors
 
Fields inherited from class org.apache.commons.workflow.base.BaseStep
id, nextStep, owner, previousStep
 
Constructor Summary
PopulateStep()
          Construct a default instance of this Step.
PopulateStep(java.lang.String id)
          Construct an instance of this Step with the specified identifier.
PopulateStep(java.lang.String id, org.apache.commons.workflow.Descriptor descriptor)
          Construct an instance of this Step with the specified identifier and associated Descriptor.
 
Method Summary
 void execute(org.apache.commons.workflow.Context context)
          Perform the executable actions related to this Step, in the context of the specified Context.
 java.lang.String toString()
          Render a string representation of this Step.
 
Methods inherited from class org.apache.commons.workflow.base.DescriptorStep
addDescriptor, findDescriptors, removeDescriptor
 
Methods inherited from class org.apache.commons.workflow.base.BaseStep
getId, getNextStep, getOwner, getPreviousStep, setId, setNextStep, setOwner, setPreviousStep
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait
 

Constructor Detail

PopulateStep

public PopulateStep()
Construct a default instance of this Step.


PopulateStep

public PopulateStep(java.lang.String id)
Construct an instance of this Step with the specified identifier.

Parameters:
id - Step identifier

PopulateStep

public PopulateStep(java.lang.String id,
                    org.apache.commons.workflow.Descriptor descriptor)
Construct an instance of this Step with the specified identifier and associated Descriptor.

Parameters:
id - Step identifier
descriptor - Initial descriptor
Method Detail

execute

public void execute(org.apache.commons.workflow.Context context)
             throws org.apache.commons.workflow.StepException
Perform the executable actions related to this Step, in the context of the specified Context.

Specified by:
execute in interface org.apache.commons.workflow.Step
Specified by:
execute in class BaseStep
Parameters:
context - The Context that is tracking our execution state
Throws:
org.apache.commons.workflow.StepException - if a processing error has occurred

toString

public java.lang.String toString()
Render a string representation of this Step.



Copyright © 2001-2005 The Apache Software Foundation. All Rights Reserved.